Class UmlBaseClearVariableValueAction

Declaration :

- C++ : class UmlBaseClearVariableValueAction : public UmlAccessVariableValueAction
- Java : abstract class UmlBaseClearVariableValueAction extends UmlAccessVariableValueAction

Directly inherited by : UmlClearVariableValueAction

Artifact : UmlBaseActivityActionClasses

Operation create

returns a new clear variable value action named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlClearVariableValueAction, exceptions : RuntimeException
- C++ : public: static UmlClearVariableValueAction * create(UmlItem * parent, const char * s)
- Java : public static UmlClearVariableValueAction create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseClearVariableValueAction

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseClearVariableValueAction(in id : item_id, in s : string) :
- C++ : protected: UmlBaseClearVariableValueAction(void * id, const QCString & s) : UmlAccessVariableValueAction(id, s)
- Java : protected UmlBaseClearVariableValueAction(long id, String s)

All public operations : apply , applyStereotype , associatedDiagram , children , childrenVisible , cppPostCondition , cppPreCondition , create , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , javaPostCondition , javaPreCondition , kind , kind , markedItems , moveAfter , name , parent , postCondition , preCondition , properties , propertyValue , referencedBy , set_AssociatedDiagram , set_childrenVisible , set_CppPostCondition , set_CppPreCondition , set_Description , set_isMarked , set_JavaPostCondition , set_JavaPreCondition , set_Name , set_PostCondition , set_PreCondition , set_PropertyValue , set_Stereotype , set_Variable , stereotype , supportFile , unload , unload , variable